Debian Bug report logs - #308384
epiphany-browser: F7 / browse-with-caret is confusing when turned on by mistake

version graph

Package: epiphany-browser; Maintainer for epiphany-browser is Josselin Mouette <joss@debian.org>; Source for epiphany-browser is src:epiphany-browser.

Reported by: Lars Wirzenius <liw@iki.fi>

Date: Mon, 9 May 2005 21:48:02 UTC

Severity: normal

Tags: confirmed, fixed-upstream, upstream

Found in version 1.4.8-3

Fixed in version epiphany-browser/2.14.1-1

Done: Josselin Mouette <joss@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jordi Mallach <jordi@debian.org>:
Bug#308384; Package epiphany-browser. Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@iki.fi>:
New Bug report received and forwarded. Copy sent to Jordi Mallach <jordi@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@iki.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: epiphany-browser: F7 / browse-with-caret is confusing when turned on by mistake
Date: Tue, 10 May 2005 00:43:33 +0300
Package: epiphany-browser
Version: 1.4.8-3
Severity: normal

Epiphany, or possibly Mozilla, has a feature called "browse with caret".
It turns on a "keyboard cursor" in the web page, which can certainly be
handy from time to time. Most of the time, however, it makes it really
annoying, since you can't mix and match between keyboard and mouse controls.
If you try to, long web pages will jump forwards and backwards seemingly
randomly.

The feature is useful, at least to some people some of the time. I don't
want it to go away. However, it seems I turned it on by mistake: almost
certainly by pressing F7. This is easy to do on a laptop keyboard, I may
have tried to press number 6 or 7 instead. Since I didn't know about the
feature at all, I merely started to wonder what the heck had happened to
Epiphany that it displayed a text cursor. Only today have I learned what
is going on (I complained on irc, Michael Bank enlightened me).

The problem here, then, is that it is easy to turn on the feature by
mistake, and both not knowing what is going on, nor how to get rid of
this. There is no menu entry or preferences dialog checkbox that 
corresponds to this feature.

Since I know about the magic URL about:config, I went there and eventually
figured out the right setting (accessibility:browsewithcaret), and 
turned it off. So far, so good, excpet after I restarted the browser,
it was turned back on. Turns out Epiphany stores the configuration in
two places: the prefs.js file and in gconf.

Suggestion: Add a menu entry to turn the feature on and off.

(Feel free to forward this to upstream. Sorry for not doing that myself,
but dealing with bugzilla is not something I want to do in the middle
of the night.)

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.10-1-686
Locale: LANG=fi_FI.UTF-8, LC_CTYPE=fi_FI.UTF-8 (charmap=UTF-8)

Versions of packages epiphany-browser depends on:
ii  debconf              1.4.49              Debian configuration management sy
ii  gconf2               2.8.1-5             GNOME configuration database syste
ii  gnome-icon-theme     2.8.0-4             GNOME Desktop icon theme
ii  libart-2.0-2         2.3.17-1            Library of functions for 2D graphi
ii  libatk1.0-0          1.8.0-4             The ATK accessibility toolkit
ii  libbonobo2-0         2.8.1-2             Bonobo CORBA interfaces library
ii  libbonoboui2-0       2.8.1-2             The Bonobo UI library
ii  libc6                2.3.2.ds1-21        GNU C Library: Shared libraries an
ii  libgcc1              1:3.4.3-13          GCC support library
ii  libgconf2-4          2.8.1-5             GNOME configuration database syste
ii  libglade2-0          1:2.4.2-2           library to load .glade files at ru
ii  libglib2.0-0         2.6.4-1             The GLib library of C routines
ii  libgnome2-0          2.8.1-2             The GNOME 2 library - runtime file
ii  libgnomecanvas2-0    2.8.0-1             A powerful object-oriented display
ii  libgnomeui-0         2.8.1-3             The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0       2.8.4-3             The GNOME virtual file-system libr
ii  libgtk2.0-0          2.6.4-1             The GTK+ graphical user interface 
ii  libice6              4.3.0.dfsg.1-12.0.1 Inter-Client Exchange library
ii  liborbit2            1:2.12.2-1          libraries for ORBit2 - a CORBA ORB
ii  libpango1.0-0        1.8.1-1             Layout and rendering of internatio
ii  libpopt0             1.7-5               lib for parsing cmdline parameters
ii  libsm6               4.3.0.dfsg.1-12.0.1 X Window System Session Management
ii  libstdc++5           1:3.3.6-3.0.1       The GNU Standard C++ Library v3
ii  libx11-6             4.3.0.dfsg.1-12.0.1 X Window System protocol client li
ii  libxml2              2.6.16-7            GNOME XML library
ii  mozilla-browser      2:1.7.7-2           The Mozilla Internet application s
ii  mozilla-psm          2:1.7.7-2           The Mozilla Internet application s
ii  scrollkeeper         0.3.14-10           A free electronic cataloging syste
ii  xlibs                4.3.0.dfsg.1-12     X Keyboard Extension (XKB) configu
ii  zlib1g               1:1.2.2-4           compression library - runtime

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Jordi Mallach <jordi@debian.org>:
Bug#308384; Package epiphany-browser. Full text and rfc822 format available.

Acknowledgement sent to Christine Spang <spangarang@twcny.rr.com>:
Extra info received and forwarded to list. Copy sent to Jordi Mallach <jordi@debian.org>. Full text and rfc822 format available.

Message #10 received at 308384@bugs.debian.org (full text, mbox):

From: Christine Spang <spangarang@twcny.rr.com>
To: control@debian.org
Cc: 308384@bugs.debian.org, liw@iki.fi
Subject: Followup for Debian Bug 308384
Date: Mon, 16 Jan 2006 18:09:14 -0500
[Message part 1 (text/plain, inline)]
tags 308384 confirmed upstream
thanks

This bug has already been reported in upstream bugzilla:
http://bugzilla.gnome.org/show_bug.cgi?id=145581

There is a patch available in the bugzilla entry, though it
was submitted several months ago (July '05).

-- 
A. Christine Spang
http://frisia.middle-earth.us/
[signature.asc (application/pgp-signature, inline)]

Tags added: confirmed, upstream Request was from Christine Spang <spangarang@twcny.rr.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jordi Mallach <jordi@debian.org>:
Bug#308384; Package epiphany-browser. Full text and rfc822 format available.

Acknowledgement sent to Christine Spang <spangarang@twcny.rr.com>:
Extra info received and forwarded to list. Copy sent to Jordi Mallach <jordi@debian.org>. Full text and rfc822 format available.

Message #17 received at 308384@bugs.debian.org (full text, mbox):

From: Christine Spang <spangarang@twcny.rr.com>
To: control@bugs.debian.org
Cc: 308384@bugs.debian.org
Subject: Fixed upstream
Date: Sat, 28 Jan 2006 19:47:07 -0500
[Message part 1 (text/plain, inline)]
tags 308384 fixed-upstream
thanks

This is fixed in upstream cvs, so this bug can be closed on
the next release. Unless someone says otherwise, I don't
really think it's worth putting the fix on our package and
then removing the patch with the next release.
[signature.asc (application/pgp-signature, inline)]

Tags added: fixed-upstream Request was from Christine Spang <spangarang@twcny.rr.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lars Wirzenius <liw@iki.fi>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 308384-done@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 308384-done@bugs.debian.org
Subject: Fixed in 2.14
Date: Sat, 13 May 2006 17:58:06 +0200
[Message part 1 (text/plain, inline)]
Package: epiphany-browser
Version: 2.14.1-1

This bug is fixed in the 2.14 version.
-- 
 .''`.           Josselin Mouette        /\./\
: :' :           josselin.mouette@ens-lyon.org
`. `'                        joss@debian.org
  `-  Debian GNU/Linux -- The power of freedom
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 20:33:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:54:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.